# -*- encoding: utf-8 -*-
# stub: websocket-driver 0.6.3 ruby lib
# stub: ext/websocket-driver/extconf.rb

Gem::Specification.new do |s|
  s.name = "websocket-driver"
  s.version = "0.6.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["James Coglan"]
  s.date = "2016-03-13"
  s.email = "jcoglan@gmail.com"
  s.extensions = ["ext/websocket-driver/extconf.rb"]
  s.extra_rdoc_files = ["README.md"]
  s.files = ["CHANGELOG.md", "README.md", "examples/tcp_server.rb", "ext/websocket-driver/WebsocketMaskService.java", "ext/websocket-driver/extconf.rb", "ext/websocket-driver/websocket_mask.c", "lib/websocket/driver.rb", "lib/websocket/driver/client.rb", "lib/websocket/driver/draft75.rb", "lib/websocket/driver/draft76.rb", "lib/websocket/driver/event_emitter.rb", "lib/websocket/driver/headers.rb", "lib/websocket/driver/hybi.rb", "lib/websocket/driver/hybi/frame.rb", "lib/websocket/driver/hybi/message.rb", "lib/websocket/driver/proxy.rb", "lib/websocket/driver/server.rb", "lib/websocket/driver/stream_reader.rb", "lib/websocket/driver/utf8_match.rb", "lib/websocket/http.rb", "lib/websocket/http/headers.rb", "lib/websocket/http/request.rb", "lib/websocket/http/response.rb", "lib/websocket/websocket_mask.rb"]
  s.homepage = "http://github.com/faye/websocket-driver-ruby"
  s.licenses = ["MIT"]
  s.rdoc_options = ["--main", "README.md", "--markup", "markdown"]
  s.rubygems_version = "2.5.1"
  s.summary = "WebSocket protocol handler with pluggable I/O"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<websocket-extensions>, [">= 0.1.0"])
      s.add_development_dependency(%q<eventmachine>, [">= 0"])
      s.add_development_dependency(%q<permessage_deflate>, [">= 0"])
      s.add_development_dependency(%q<rake-compiler>, ["~> 0.8.0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
    else
      s.add_dependency(%q<websocket-extensions>, [">= 0.1.0"])
      s.add_dependency(%q<eventmachine>, [">= 0"])
      s.add_dependency(%q<permessage_deflate>, [">= 0"])
      s.add_dependency(%q<rake-compiler>, ["~> 0.8.0"])
      s.add_dependency(%q<rspec>, [">= 0"])
    end
  else
    s.add_dependency(%q<websocket-extensions>, [">= 0.1.0"])
    s.add_dependency(%q<eventmachine>, [">= 0"])
    s.add_dependency(%q<permessage_deflate>, [">= 0"])
    s.add_dependency(%q<rake-compiler>, ["~> 0.8.0"])
    s.add_dependency(%q<rspec>, [">= 0"])
  end
end
